ARG BASE_IMAGE=nexus.jianguoyun.net.cn/infra/documentserver:7.3.3-2

FROM ${BASE_IMAGE}

RUN ln -svf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime && \
    apt-get update && \
    apt-get install -y build-essential libseccomp-dev curl pkg-config libseccomp2 && \
    rm -rf /var/lib/apt/lists/*
RUN curl --proto '=https' --tlsv1.2 -sSf https://sh.rustup.rs | bash -s - -y

ENTRYPOINT []